# Mono.DocTest.DocAttribute

DocTest : Mono.DocTest Namespace

# DocAttribute Class

Documentation for this section has not yet been entered.

## Syntax

[System.AttributeUsage(System.AttributeTargets.All)]
public class DocAttribute : Attribute

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Mono.DocTest
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from Attribute.

## Public Constructors

| DocAttribute (string) | Documentation for this section has not yet been entered.

## Public Fields

| Field | bool . Documentation for this section has not yet been entered.
| FlagsEnum | ConsoleModifiers . Documentation for this section has not yet been entered.
| NonFlagsEnum | Color . Documentation for this section has not yet been entered.

## Public Properties

| Property | Type . Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> Documentation for this section has not yet been entered.

## Member Details

### DocAttribute Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public DocAttribute (string docs)

> #### Parameters

> > docs
> >   Documentation for this section has not yet been entered.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentNullException | Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Field Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Field

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### FlagsEnum Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public ConsoleModifiers FlagsEnum

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### NonFlagsEnum Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public Color NonFlagsEnum

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### Property Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public Type Property { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0